Name:		biosdevname
Version:	0.7.3
Release:	%mkrel 2
Summary:	Udev helper for naming devices per BIOS names
Group:		System/Base
License:	GPLv2
URL:		http://linux.dell.com/files/biosdevname
# SMBIOS only exists on these arches.  It's also likely that other
# arches don't expect the PCI bus to be sorted breadth-first, or of
# so, there haven't been any comments about that on LKML.
ExclusiveArch:	%{ix86} x86_64 ia64
Source0:	https://github.com/dell/biosdevname/archive/v%{version}/%{name}-%{version}.tar.gz
Patch2:		0002-Place-udev-rules-to-usr-lib.patch
BuildRequires:	pkgconfig(libpci)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	udev
Requires:	udev

%description
biosdevname in its simplest form takes a kernel device name as an
argument, and returns the BIOS-given name it "should" be.  This is necessary
on systems where the BIOS name for a given device (e.g. the label on
the chassis is "Gb1") doesn't map directly and obviously to the kernel
name (e.g. eth0).

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure

%make_build

%install
%make_install install-data

%files
%doc COPYING README
%{_sbindir}/%{name}
%{_udevrulesdir}/71-biosdevname.rules
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.7.3-2.mga8
+ Revision: 1521884
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jan 04 2019 daviddavid <daviddavid> 0.7.3-1.mga7
+ Revision: 1348990
- new version: 0.7.3

* Fri Sep 21 2018 umeabot <umeabot> 0.7.2-2.mga7
+ Revision: 1295421
- Mageia 7 Mass Rebuild

* Tue Apr 03 2018 shlomif <shlomif> 0.7.2-1.mga7
+ Revision: 1215040
- New version 0.7.2

* Thu May 26 2016 tv <tv> 0.6.2-1.mga6
+ Revision: 1018660
- new release
- drop merged patch
- fix URL
- use std sbin macro

* Tue Feb 02 2016 pterjan <pterjan> 0.5.0-5.mga6
+ Revision: 932683
- Add missing ExclusiveArch

* Tue Feb 02 2016 umeabot <umeabot> 0.5.0-4.mga6
+ Revision: 932161
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-3.mga5
+ Revision: 739503
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-2.mga5
+ Revision: 678157
- Mageia 5 Mass Rebuild

* Fri Mar 07 2014 tv <tv> 0.5.0-1.mga5
+ Revision: 600932
- new release
- patch1: match network interfaces named other than ethX (FC)

* Fri Oct 18 2013 umeabot <umeabot> 0.4.1-3.mga4
+ Revision: 503082
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.4.1-2.mga3
+ Revision: 346906
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 31 2012 shlomif <shlomif> 0.4.1-1.mga3
+ Revision: 276750
- Add mkrel
- imported package biosdevname

